package com.fs.qw.service;

import com.fs.qw.domain.QwRoom;
import com.fs.qw.vo.QwContactListVO;
import com.fs.qw.vo.QwRoomListVO;

import java.util.List;

public interface IQwRoomService {

    List<QwRoomListVO> list(Long seq,String deviceId);

    QwRoomListVO detail(String deviceId, Long roomId);

    /**
     * 查询企微群
     *
     * @param roomId 企微群ID
     * @return 企微群
     */
    public QwRoom selectQwRoomById(Long roomId);

    /**
     * 查询企微群列表
     *
     * @param qwRoom 企微群
     * @return 企微群集合
     */
    public List<QwRoom> selectQwRoomList(QwRoom qwRoom);

    /**
     * 新增企微群
     *
     * @param qwRoom 企微群
     * @return 结果
     */
    public int insertQwRoom(QwRoom qwRoom);

    /**
     * 修改企微群
     *
     * @param qwRoom 企微群
     * @return 结果
     */
    public int updateQwRoom(QwRoom qwRoom);

    /**
     * 批量删除企微群
     *
     * @param roomIds 需要删除的企微群ID
     * @return 结果
     */
    public int deleteQwRoomByIds(Long[] roomIds);

    /**
     * 删除企微群信息
     *
     * @param roomId 企微群ID
     * @return 结果
     */
    public int deleteQwRoomById(Long roomId);

    QwRoom selectByHomeUserId(Long roomId,String homeUserId);

    List<QwContactListVO> selectRoomMemberByRoomId(Long roomId);

    List<Long> selectRoomAdminList(Long roomId);

    QwRoom selectRoomByRoomId(Long roomId);




}
